Bug 30934 - No unixODBC support in PHP by default
No unixODBC support in PHP by default
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-03-07 03:00 EST by Martin Stromberg
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-07 18:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Stromberg 2001-03-07 03:00:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

PHP in RedHat 7.0 is not compiled with directive '--with-unixODBC' or '--
with-unixODBC=<DIR>' by default.

Reproducible: Always
Steps to Reproduce:
1. Try '$db_handle = odbc_connect("$dbname", "$dbuser", "$dbuser");' in 

Actual Results:  Fatal error: Call to undefined function: odbc_connect() 
in index.php on line 10

Expected Results:  The ODBC datasource should have been connected to.

A PHP call to 'phpinfo()' will list the directives used for compiling 
PHP. '--with-unixODBC' is not listed there.
Comment 1 Bill Nottingham 2001-12-07 22:35:11 EST
This is fixed in at least the 7.2 version.

Note You need to log in before you can comment on or make changes to this bug.